Bug 15716 - Add a 'transform-origin' presentation attribute to SVG
Add a 'transform-origin' presentation attribute to SVG
Status: RESOLVED FIXED
Product: CSS
Classification: Unclassified
Component: Transforms
unspecified
PC All
: P2 normal
: ---
Assigned To: Dirk Schulze
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-25 22:23 UTC by Dirk Schulze
Modified: 2012-02-26 15:03 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Schulze 2012-01-25 22:23:58 UTC
Add a 'transform-origin' presentation attribute to SVG. This attribute would use the syntax as defined in CSS Transforms specification. There won't be any plans to add new interfaces for 'transform-origin' in SVG DOM. Users should just access it by CSSOM.

This is already the assumption of some SVG developers and SVG WG members [1] and makes sense considering that we have a transform attribute.

[1] http://tech.groups.yahoo.com/group/svg-developers/message/65501
Comment 1 Dirk Schulze 2012-02-09 18:55:50 UTC
It might be fixed on the SVG side, but I take care of it.
Comment 2 Dirk Schulze 2012-02-26 15:03:56 UTC
Added on 2012/02/24.